# List license source status Returns the license source status information for one or more license types. Endpoint: GET /licensetypes/status Version: 26.2.0.4309 Security: Bearer ## Query parameters: - `licenseTypeId` (string) If set, the items will be filtered by the License type id. Please refer to LicenseTypes for more information on the License type id. - `state` (string) If set, the items will be filtered by the state specified in this parameter. Enum: "AL", "AK", "AZ", "AR", "CA", "CO", "CT", "DE", "DC", "FL", "GA", "HI", "ID", "IL", "IN", "IA", "KS", "KY", "LA", "ME", "MD", "MA", "MI", "MN", "MS", "MO", "MT", "NE", "NV", "NH", "NJ", "NM", "NY", "NC", "ND", "OH", "OK", "OR", "PA", "RI", "SC", "SD", "TN", "TX", "UT", "VT", "VA", "WA", "WV", "WI", "WY", "AS", "GU", "MP", "PR", "VI" - `licenseTypeSearchQuery` (string) - `sourceIssue` (string) Enum: "PossibleIssue", "SourceIssue", "AutomationIssue", "AutomationDegraded" - `count` (integer) The number of items to include in a single page. - `sortedBy` (string) The property by which the returned data will be sorted. Enum: "State" - `sort` (object) If set, the properties and directions the returned data will be sorted by. - `cursor` (string) The cursor to render the page requested. To load the first page send an empty cursor, then the system will generate the cursors to go to the next and/or previous pages automatically. - `sortDirection` (string) The direction the returned data will be sorted by. Enum: "Asc", "Desc" - `offset` (integer) The offset for the page to start. ## Response 200 fields (application/json): - `previousCursor` (string,null) - `nextCursor` (string,null) - `nextOffset` (integer,null) - `pageSize` (integer) - `count` (integer) - `totalCount` (integer,null) - `items` (array,null) - `items.licenseTypeName` (string) - `items.sourceName` (string) - `items.licenseTypeId` (string) - `items.state` (string) Enum: "AL", "AK", "AZ", "AR", "CA", "CO", "CT", "DE", "DC", "FL", "GA", "HI", "ID", "IL", "IN", "IA", "KS", "KY", "LA", "ME", "MD", "MA", "MI", "MN", "MS", "MO", "MT", "NE", "NV", "NH", "NJ", "NM", "NY", "NC", "ND", "OH", "OK", "OR", "PA", "RI", "SC", "SD", "TN", "TX", "UT", "VT", "VA", "WA", "WV", "WI", "WY", "AS", "GU", "MP", "PR", "VI" - `items.status` (object) - `items.status.issue` (string) License source issue type. Set only if the license source is presenting any issue during verification. Enum: "PossibleIssue", "SourceIssue", "AutomationIssue", "AutomationDegraded" - `items.status.averageProcessingTime` (number) Average processing time for a license verification (based on verifications over last 24 hrs). - `items.status.averageFailureRate` (number) Average license verification failure rate for a license verification (based on verifications over last 24 hrs). - `items.maintenanceWindows` (array) Array with the CRON descriptions that explain when this license type will be in maintenance window. When a license type is in a maintenance window the requests sent to it will be delayed until it is over. - `items.maintenanceWindows.expression` (string,null) - `items.maintenanceWindows.description` (string,null) - `items.maintenanceWindows.isUnderMaintenanceInTheNextHour` (boolean) - `items.maintenanceWindows.trigger` (string) Enum: "Manual", "Automated" - `items.maintenanceWindows.expiresIn` (string,null) - `items.maintenanceWindows.isExpired` (boolean,null) - `sortedBy` (string,null) Enum: "State" - `sortDirection` (string,null) Enum: "Asc", "Desc" - `sort` (object,null) - `sort.Keys` (string) Enum: "State" - `sort.Values` (string) Enum: "Asc", "Desc" ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 500 fields